Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Trägheitsmomente

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Trägheitsmomente (248 mal gelesen)
Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 229
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 12. Mai. 2022 20:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebe CAD Gemeinde,

die Eigenschaften der Trägheitsmomente, Haupt. ,Global und Schwerpunkt kann ich ja aus den iProperties lesen!
Kann mir jemand dabei helfen, wie ich die Daten alle auf die Zeichnung bekomme?
Schon mal Danke für eure Anregungen!

VG
Enric 

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

G. Schumann
Mitglied
Konstrukteur


Sehen Sie sich das Profil von G. Schumann an!   Senden Sie eine Private Message an G. Schumann  Schreiben Sie einen Gästebucheintrag für G. Schumann

Beiträge: 34
Registriert: 05.03.2020

Product Design Suite 2020, Inventor Pro 2020, Autocad 2020 ...
Intel Xeon W-2123 CPU 3,6 GHz, 32 GB RAM

erstellt am: 13. Mai. 2022 11:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

freierfall
Ehrenmitglied V.I.P. h.c.
selbstst. techn. Zeichner



Sehen Sie sich das Profil von freierfall an!   Senden Sie eine Private Message an freierfall  Schreiben Sie einen Gästebucheintrag für freierfall

Beiträge: 11328
Registriert: 30.04.2004

WIN10 64bit, 32GB RAM
IV bis 2022

erstellt am: 13. Mai. 2022 12:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

ich habe mal gesucht und leider nichts gefunden. Inzwischen kann man mit 2023 die Dichte auch anziehen. Nur die trägheitsmomente werden mir nicht angeboten. 

herzlich Sascha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 513
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 13. Mai. 2022 12:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

Schwerpunkt scheint ja geklärt, siehe Link von Gunter.

Mir ist auch kein Weg 'out of the box' bekannt, die Trägheitsmomente auf die Zeichnung zu bringen. Ich kann mir aber eine iLogic-Regel vorstellen, mit der die gewünschten Infos in ein iProperty geschrieben werden.
Ähnlich dem hier: Flächenträgheitsmoment auf Zeichnung vermerken

iProperties vom Modell bekommt man wiederum leicht in die Zeichnung.

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 229
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 13. Mai. 2022 20:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo KraBBy,

ich habe die iLogic-Regel mal eingebaut! Wenn ich mal die eine Skizze nehme und mal eine andere, bekomme ich unterschiedliche Ergebnisse. Wenn ich mit den iProperties vergleiche, sind die auch unterschiedlich. Jetzt bin ich ein wenig verwirrt. Kannst du da Licht ins dunkle bringen?

VG
Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 229
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 13. Mai. 2022 21:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo KraBBy,

ich habe eine iLogic-Regel gefunden, die Haupt,- und Schwerpunk der Trägheitsmomente in Excel rausschreibt.

VG
Enric


'Code

RuleParametersOutput()
InventorVb.DocumentUpdate()

Dim massProps as MassProperties
Dim partDoc as PartDocument = TryCast(ThisDoc.Document, PartDocument)
If (partDoc IsNot Nothing) Then massProps = partDoc.ComponentDefinition.MassProperties
Dim assemDoc as AssemblyDocument = TryCast(ThisDoc.Document, AssemblyDocument)
If (assemDoc IsNot Nothing) Then massProps = assemDoc.ComponentDefinition.MassProperties

Dim moments(5) As Double
massProps.XYZMomentsOfInertia(moments(0), moments(1), moments(2), moments(3), moments(4), moments(5))

For i = 0 To 5
moments(i) = ThisDoc.Document.UnitsOfMeasure.ConvertUnits(moments(i), "kg cm^2", "kg mm^2")
Next

Ixx = moments(0)
Iyy = moments(1)
Izz = moments(2)

Ixy = moments(3)
Iyz = moments(4)
Ixz = moments(5)

'hier wird der Pfad angegeben wo die Exceltabelle liegt
'und bei Sheet1, wie das Tabellenblatt heißt (meist Tabelle1)
oMyFile = "C:\TEMP\Test.xlsx"
GoExcel.CellValue(oMyFile, "Sheet1", "A1") = "Moments: "
GoExcel.CellValue(oMyFile, "Sheet1", "A2") = " Ixx: "
GoExcel.CellValue(oMyFile, "Sheet1", "A3") = " Iyy: "
GoExcel.CellValue(oMyFile, "Sheet1", "A4") = " Izz: "
GoExcel.CellValue(oMyFile, "Sheet1", "B2") =  Round(Ixx,3)
GoExcel.CellValue(oMyFile, "Sheet1", "B3") =  Round(Iyy,3)
GoExcel.CellValue(oMyFile, "Sheet1", "B4") =  Round(Izz,3)
GoExcel.CellValue(oMyFile, "Sheet1", "C2") = " kg mm^2"
GoExcel.CellValue(oMyFile, "Sheet1", "C3") = " kg mm^2"
GoExcel.CellValue(oMyFile, "Sheet1", "C4") = " kg mm^2"

GoExcel.CellValue(oMyFile, "Sheet1", "A6") = " Ixy: "
GoExcel.CellValue(oMyFile, "Sheet1", "A7") = " Iyz: "
GoExcel.CellValue(oMyFile, "Sheet1", "A8") = " Ixz: "
GoExcel.CellValue(oMyFile, "Sheet1", "B6") = Round(Ixy,3)
GoExcel.CellValue(oMyFile, "Sheet1", "B7") = Round(Iyz,3)
GoExcel.CellValue(oMyFile, "Sheet1", "B8") = Round(Ixz,3)
GoExcel.CellValue(oMyFile, "Sheet1", "C6") = " kg mm^2"
GoExcel.CellValue(oMyFile, "Sheet1", "C7") = " kg mm^2"
GoExcel.CellValue(oMyFile, "Sheet1", "C8") = " kg mm^2"

GoExcel.Save
GoExcel.Close

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 513
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 14. Mai. 2022 09:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Enric:
Wenn ich mal die eine Skizze nehme und mal eine andere, bekomme ich unterschiedliche Ergebnisse. Wenn ich mit den iProperties vergleiche, sind die auch unterschiedlich. Jetzt bin ich ein wenig verwirrt. Kannst du da Licht ins dunkle bringen?

Sorry, ich wollte nicht den Eindruck erwecken, dass der Code schon das gewünschte liefert. Sollte nur ein Beispiel sein für "so ähnlich könnte es klappen".
Es geht um verschiedene Eigenschaften. Der Code liefert das Flächentragheitsmoment eines Querschnitts (skizze). Die Werte in den iProp sind vom Trägheitsmoment.

Ist das mit iLogic ein Weg für dich? Bekommst du die beiden Code-Teile zusammen, so dass das gewünschte Ergebnis entsteht?

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 229
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 14. Mai. 2022 12:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo KraBBy,

alles gut!
Das ist erstmal ein guter Weg für mich und wenn es noch eine Lösung gibt, wo ich alle Werte auslesen kann, ist das noch besser.
Danke für eure Unterstützung.

Gruß Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz